< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package objectstore
  Definition Classes
    hmrc
-  package client
  Definition Classes
    objectstore
-  package model
  Definition Classes
    client
-  package http
  Definition Classes
    model
- HttpClient
- ObjectStoreRead
- ObjectStoreReadSyntax
- ObjectStoreWrite
- ObjectStoreWriteSyntax
-  package objectstore
  Definition Classes
    model

p

uk.gov.hmrc.objectstore.client.model

# http 

#### package http

 
Ordering

1. Alphabetic

Visibility

1. Public
2. All

### Type Members

1.  trait HttpClient[BODY, RES] extends AnyRef
2.  trait ObjectStoreRead[RES, T, F[_]] extends AnyRef
3.  trait ObjectStoreWrite[BODY, REQ] extends AnyRef

### Value Members

1.  object ObjectStoreReadSyntax
2.  object ObjectStoreWriteSyntax

### Ungrouped